#!/bin/sh if [ "$UID" -ne 0 ]; then echo >&2 "you need to be root to start live install" exit 3 fi if [ -x ./Mandrake/mdkinst/usr/bin/perl-install/live_install2 ]; then dir=`pwd`/Mandrake/mdkinst elif [ -x ../../../../../Mandrake/mdkinst/usr/bin/perl-install/live_install2 ]; then dir=`pwd`/../../.. else echo >&2 "unable to get a working live system to start, check your working directory" exit 2 fi /bin/rm -rf /tmp/image /bin/mkdir -m 0700 /tmp/image || exit 1 /bin/rm -rf /tmp/drakx /bin/mkdir -m 0700 /tmp/drakx || exit 2 for i in Mandrake RPMS misc boot images VERSION do /bin/ln -sf "$dir/../../$i" "/tmp/image/$i" done /bin/cp -a "$dir/../../Mandrake/mdkinst" "/tmp/drakx" if [ -x "/tmp/drakx/mdkinst/usr/bin/perl-install/live_install2" ]; then # get correct fonts for DrakX. if [ -n "$DISPLAY" ]; then xset +fp /tmp/drakx/mdkinst/usr/X11R6/lib/X11/fonts/ xset fp rehash fi # avoid pollution for environment unset LC_MONETARY LC_CTYPE LC_NUMERIC LC_MESSAGES LC_TIME LC_COLLATE LANGUAGE LANG RPM_INSTALL_LANG # start DrakX, do not keep shell script in background else the CD is locked by it!!! cd /tmp/drakx/mdkinst/usr/bin/perl-install exec /usr/bin/perl ./live_install2 fi echo >&2 "unable to get a working live system to start, check your working directory" exit 2 .33'>distro/mes5-2.6.33 Mageia Installer and base platform for many utilitiesThierry Vignaud [tv]
summaryrefslogtreecommitdiffstats
path: root/perl-install/printer.pm
diff options
context:
space:
mode:
authorPascal Rigaux <pixel@mandriva.com>2000-02-28 23:03:03 +0000
committerPascal Rigaux <pixel@mandriva.com>2000-02-28 23:03:03 +0000
commit4711546c84bdf1c2ec11cb5b26570d2d19db0667 (patch)
tree93029e6ea811261a90f558cee5d0acf771c81495 /perl-install/printer.pm
parentc38c6b14952c25b51b1c0f9fa05aec2d34dc8ddf (diff)
downloaddrakx-4711546c84bdf1c2ec11cb5b26570d2d19db0667.tar
drakx-4711546c84bdf1c2ec11cb5b26570d2d19db0667.tar.gz
drakx-4711546c84bdf1c2ec11cb5b26570d2d19db0667.tar.bz2
drakx-4711546c84bdf1c2ec11cb5b26570d2d19db0667.tar.xz
drakx-4711546c84bdf1c2ec11cb5b26570d2d19db0667.zip